System.ServiceModel 4.0.0.0 System.Enum

Message Queuing can secure messages by signing them. The class is an enumeration that contains the hashing algorithms that Message Queuing can use to sign messages.

and are supported only on wv.

Contains the hashing algorithms that Message Queuing (MSMQ) can use to sign messages.

- Field
  4.0.0.0
  System.ServiceModel.MsmqSecureHashAlgorithm

  The Message Digest Algorithm 5 (MD5).

- Field
  4.0.0.0
  System.ServiceModel.MsmqSecureHashAlgorithm

  The Secure Hash Algorithm (SHA-1).

- Field
  4.0.0.0
  System.ServiceModel.MsmqSecureHashAlgorithm

  The SHA-256 algorithm.

- Field
  4.0.0.0
  System.ServiceModel.MsmqSecureHashAlgorithm

  The SHA 512 algorithm.